camera {
	location <0, 1.8, -6.4>
	look_at <0, 1.8, 0> 
}

light_source {<-5, 5, -20> color rgb 2 shadowless} 

#macro SNOW_FALLING(w, h, d, num, seedValue)
    #local lseed = seed(seedValue);
    #local counter=0;  
    #while (counter != num)
        #local lx = w * rand(lseed);
        #local ly = h * rand(lseed); 
        #local lz = d * rand(lseed);
        disc{
	        0, -z, 0.01  
            pigment {
     			onion 
     			color_map{
     				[0.0 0.2 color rgb<1, 1, 1> color rgbt <1, 1, 1, 0.4>]
     				[0.2 1.0 color rgbt <1, 1, 1, 0.4> color rgbt <1, 1, 1, 1>]
     			}
     			scale 0.0012
     			rotate x*90
   			}
   			finish{ambient 0.16 phong 0}
   			no_shadow 
   			scale 0.35
            translate <lx, ly, lz>
            translate <-w/2, -h/2, -d/2>
        } 
        #local counter = counter + 1;
    #end
#end 
  
#include "OLIVE.inc" 
#include "TOMTREEm.inc"
object{TREE translate -y*0 scale 4.5 rotate y*0 }
#include "TOMSNOW.inc"
object{SNOW translate -y*0 scale 4.5 rotate y*0 }
     
background {color rgb <0.8, 0.83, 0.86>} 
union {
	SNOW_FALLING(10, 10, 3, 60000, 10)
	translate -z*4
}
  